WordPress.org

Support

Support » Plugins and Hacks » Better WordPress Minify » [Working version for WP3.6.x, and update Minify library to 2.1.7]

[Working version for WP3.6.x, and update Minify library to 2.1.7]

  • Hy there !

    I have a custom version of BWPminify that actually Work for WP3.6.x, and i have made the update for Minify library to 2.1.7 because of the OLD sérious vulnerability on all the old version of the library.

    [Download]
    Enjoy it !

    There is some improvement to make for the next version like :

    – capabilitie to change the expire of the cache dirrectly in the admin page
    – capabilitie to Make script asynchrone
    – …

    Other idéa ?

    Thanks for all // JibsouX

    http://wordpress.org/plugins/bwp-minify/

Viewing 15 replies - 1 through 15 (of 21 total)
  • If it broke your site (style or animation javascript) simply test to exclude them with the plugin option

    Great,
    you add some improvement, is it includes in library 2.1.7 ? or you add new function or code ?

    yeas other idea as :
    – possibility to select order loading javascripts and css

    I simply upgrade the library because of the mega-vulnerability

    I have make two improvement of functionalities :
    i have change the expire date of the cache files dirrectly in the code (and i working on a input in the setting page for user to modify it.)
    I have increased the level of compression of the cache gzip : 0 to 8

    I Simply fix the minification of : jquery-core and jquery-migrate
    with the fix of ‘veke’

    hope it’s good for u, me on 3 wordpress 3.6.1 it work well 🙂

    I propose some improvement to make for the next version like :
    – capabilitie to change the expire of the cache dirrectly in the admin page (in process)
    – capabilitie to Make script asynchrone
    – capabilitie to minify script from CDN
    – possibility to select order loading javascripts and css
    – …

    Other idéas ?

    If you Download and test it tell me if it work 🙂
    – install
    – setting up
    – look in the dirrectory cache if there is some file
    – look in your source code if the url of your script are :
    http://my-site.com/wp-content/plugins/bwp-minify/min/?f=....(script)

    If it broke your site (style or animation javascript) simply test to exclude them with the plugin option

    yes it works for me 🙂 thanks a lot

    For script asynchrone, you can find somes ideas with this plugin :
    http://wordpress.org/plugins/wp-deferred-javascripts/

    Yes i know this plugin and the library it use but i dont know how change the path for the script to deferred, it alway deferred the wp_enqueue_scripts but the script of bwp minify are not implemented with wp_enqueue_scripts so there is many modification to make for add the asynchrone function ^^ i’m on it but i’m not sure to have enought skills..

    me too ^^, but if i can help you to improve the component, tell me i’m avalaible to help you

    the thing is to know how bwp minify include the new (combined file) and there simply insert the functionality of deferer

    the deferer function will replace the function that include the combined file in page that bwp minify has created

    so :

    1 : locate in the code where bwp minify include in the page (front) the combined file he have created

    2 : Know how it include

    3 : apply the way that bwp minify include the combined files to the deferer script.

    if it work : we can make a selection in the setting to choose if user want include combined files with no deferred or with it.

    I found it but we need to add somes variables for 2 functions to enable the deferring.

    in fact, we need to create new footer custom field to select which scripts we want defer because we can’t use for slider or slideshow …

    function get_minify_tag
    -> create the style or scripts
    -> the array is generate by get_minify_src

    function print_footer_scripts
    -> include in footer

    i think we have just a new hook to create like the already existing hook : http://betterwp.net/wordpress-plugins/bwp-minify/#advanced_customization

    but for this one do not add the deferring functionnalities 🙂

    Plugin Author Khang Minh

    @oddoneout

    It’s great that you guys are working on the plugins also. In the next version I will put a Git repository up so we can collaborate there easily.

    I will review your version and release an update in the next week.

    Thanks a lot!

    ah it’s a good news, we believed you stop to work on your plugin 🙁

    .. i cant found a way to include the deferer plugin in bwp minify if any one have a breakthrough ?

Viewing 15 replies - 1 through 15 (of 21 total)
  • The topic ‘[Working version for WP3.6.x, and update Minify library to 2.1.7]’ is closed to new replies.
Skip to toolbar